[INFO] fetching crate ms_pac 0.0.4...
[INFO] documenting ms_pac-0.0.4 against 1.69.0 for beta-1.70-rustdoc-1
[INFO] extracting crate ms_pac 0.0.4 into /workspace/builds/worker-0-tc1/source
[INFO] validating manifest of crates.io crate ms_pac 0.0.4 on toolchain 1.69.0
[INFO] running `Command { std: CARGO_HOME="/workspace/cargo-home" RUSTUP_HOME="/workspace/rustup-home" "/workspace/cargo-home/bin/cargo" "+1.69.0" "metadata" "--manifest-path" "Cargo.toml" "--no-deps", kill_on_drop: false }`
[INFO] started tweaking crates.io crate ms_pac 0.0.4
[INFO] finished tweaking crates.io crate ms_pac 0.0.4
[INFO] tweaked toml for crates.io crate ms_pac 0.0.4 written to /workspace/builds/worker-0-tc1/source/Cargo.toml
[INFO] running `Command { std: CARGO_HOME="/workspace/cargo-home" RUSTUP_HOME="/workspace/rustup-home" __CARGO_TEST_CHANNEL_OVERRIDE_DO_NOT_USE_THIS="nightly" "/workspace/cargo-home/bin/cargo" "+1.69.0" "generate-lockfile" "--manifest-path" "Cargo.toml" "-Zno-index-update", kill_on_drop: false }`
[INFO] running `Command { std: CARGO_HOME="/workspace/cargo-home" RUSTUP_HOME="/workspace/rustup-home" "/workspace/cargo-home/bin/cargo" "+1.69.0" "fetch" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] [stderr]  Downloading crates ...
[INFO] [stderr]   Downloaded ms_adts v0.0.1
[INFO] [stderr]   Downloaded ms_dtyp v0.0.3
[INFO] [stderr]   Downloaded ms_samr v0.0.2
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:5ff2268d62e97bff2cde7d5815dd6ed5b47097566f13b8d0ca110b04b60e07ed" "/opt/rustwide/cargo-home/bin/cargo" "+1.69.0" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] eee29fda385f9116e40720993605818ed57353becfe6bae3d25762df22691c06
[INFO] running `Command { std: "docker" "start" "-a" "eee29fda385f9116e40720993605818ed57353becfe6bae3d25762df22691c06", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "eee29fda385f9116e40720993605818ed57353becfe6bae3d25762df22691c06", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "eee29fda385f9116e40720993605818ed57353becfe6bae3d25762df22691c06", kill_on_drop: false }`
[INFO] [stdout] eee29fda385f9116e40720993605818ed57353becfe6bae3d25762df22691c06
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTFLAGS=--cap-lints=warn" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:5ff2268d62e97bff2cde7d5815dd6ed5b47097566f13b8d0ca110b04b60e07ed" "/opt/rustwide/cargo-home/bin/cargo" "+1.69.0" "doc" "--frozen" "--no-deps" "--document-private-items" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] 4e4fd65dd9c5d9b6d67abcb044ef209acc0cd77a36f57e0e243cc25834e3c01c
[INFO] running `Command { std: "docker" "start" "-a" "4e4fd65dd9c5d9b6d67abcb044ef209acc0cd77a36f57e0e243cc25834e3c01c", kill_on_drop: false }`
[INFO] [stderr]     Checking ms_dtyp v0.0.3
[INFO] [stderr]     Checking ms_adts v0.0.1
[INFO] [stderr]  Documenting ms_pac v0.0.4 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `RFC4120`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:22
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                      ^^^^^^^ no item named `RFC4120` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout]   = note: `#[warn(rustdoc::broken_intra_doc_links)]` on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4757`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:36
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                                    ^^^^^^^ no item named `RFC4757` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]  --> src/pac_signature_data.rs:6:22
[INFO] [stdout]   |
[INFO] [stdout] 6 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]   |                      ^^^^^^^ no item named `RFC3962` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]   --> src/pac_signature_data.rs:10:22
[INFO] [stdout]    |
[INFO] [stdout] 10 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]    |                      ^^^^^^^ no item named `RFC3962` in scope
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 4 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 0.95s
[INFO] running `Command { std: "docker" "inspect" "4e4fd65dd9c5d9b6d67abcb044ef209acc0cd77a36f57e0e243cc25834e3c01c", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "4e4fd65dd9c5d9b6d67abcb044ef209acc0cd77a36f57e0e243cc25834e3c01c", kill_on_drop: false }`
[INFO] [stdout] 4e4fd65dd9c5d9b6d67abcb044ef209acc0cd77a36f57e0e243cc25834e3c01c
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-0-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTFLAGS=--cap-lints=warn" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "RUSTC_BOOTSTRAP=1" "-e" "DOCS_RS=1" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:5ff2268d62e97bff2cde7d5815dd6ed5b47097566f13b8d0ca110b04b60e07ed" "/opt/rustwide/cargo-home/bin/cargo" "+1.69.0" "rustdoc" "--lib" "-Zrustdoc-map" "-Z" "unstable-options" "--config" "build.rustdocflags=[\"-Z\", \"unstable-options\", \"--document-private-items\"]" "--frozen" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] d8a3c3f6f8ae155bbae443075436a741b6ce227dfee4d6e208b4e952b60b4377
[INFO] running `Command { std: "docker" "start" "-a" "d8a3c3f6f8ae155bbae443075436a741b6ce227dfee4d6e208b4e952b60b4377", kill_on_drop: false }`
[INFO] [stderr]  Documenting ms_pac v0.0.4 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `RFC4120`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:22
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                      ^^^^^^^ no item named `RFC4120` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout]   = note: `#[warn(rustdoc::broken_intra_doc_links)]` on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4757`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:36
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                                    ^^^^^^^ no item named `RFC4757` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]  --> src/pac_signature_data.rs:6:22
[INFO] [stdout]   |
[INFO] [stdout] 6 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]   |                      ^^^^^^^ no item named `RFC3962` in scope
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]   --> src/pac_signature_data.rs:10:22
[INFO] [stdout]    |
[INFO] [stdout] 10 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]    |                      ^^^^^^^ no item named `RFC3962` in scope
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 4 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 0.66s
[INFO] running `Command { std: "docker" "inspect" "d8a3c3f6f8ae155bbae443075436a741b6ce227dfee4d6e208b4e952b60b4377", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "d8a3c3f6f8ae155bbae443075436a741b6ce227dfee4d6e208b4e952b60b4377", kill_on_drop: false }`
[INFO] [stdout] d8a3c3f6f8ae155bbae443075436a741b6ce227dfee4d6e208b4e952b60b4377
